Subject: Re: [bug#48277] [PATCH 0/1] New wrap-in-search-paths function

From: Edouard Klein <[email-masked]>
Date: Sun, 09 May 2021 21:56:29 +0200

Hi,

Thanks for reviewing the patch,

Good point about the tests. I'll try to send a follow-up patch on this
thread with the requested changes to a tested service.

Cheers,

Edouard.
Maxime Devos writes:

> Edouard Klein schreef op vr 07-05-2021 om 17:42 [+0200]:
>> This patch adds the wrap-in-search-paths function [...].
>> [... text about shepherd services, foreign distros, propagated-inputs,
>>      gexps ...]
>
> I don't see any obvious problems with the patch, though I haven't tested.
>
> It would be easier to review if you modified one or two packages
> and services in guix itself to use this wrap-in-search-paths procedure
> though. (Preferably services with a system test in gnu/tests/*.scm.)
> Otherwise, guix would have a procedure that is not called from anywhere
> and isn't tested either, which is a bit of a hard sell.
>
> Not sure how this helps with
>
>> First, when running on a foreign distro, guix packages (especially python packages)
>> can break the foreign distribution by putting Guix's python interpreter before the
>> host's in the PATH. Scripts that rely on a #!/usr/bin/env python shebang then breaks.
>> This for example breaks gdm on the latest Ubuntu when you install any package for
>> which python is a propagated input.
>
> , but this seems useful for shepherd services (as you mentioned).
>
> Greetings,
> Maxime.